###--- >>> `lines.saddle.distn' <<<----- Add a Saddlepoint Approximation to a Plot

	## alias	 help(lines.saddle.distn)

##___ Examples ___:

##Don't run: ## does not work: cannot find the saddle distn
##D library(modreg) # for smooth.spline
##D # In this example we show how a plot such as that in Figure 9.9 of
##D # Davison and Hinkley (1997) may be produced.  Note the large number of
##D # bootstrap replicates required in this example.
##D expdata <- rexp(12)
##D vfun <- function(d,i) 
##D {    n <- length(d)
##D      (n-1)/n*var(d[i])
##D }
##D exp.boot <- boot(expdata,vfun,R=9999)
##D exp.L <- (expdata-mean(expdata))^2-exp.boot$t0
##D exp.tL <- linear.approx(exp.boot,L=exp.L)
##D hist(exp.tL,nclass=50,prob=T)
##D exp.t0 <- c(0,sqrt(var(exp.boot$t)))
##D exp.sp <- saddle.distn(A=exp.L/12,wdist="m", t0=exp.t0)
##D 
##D # The saddlepoint approximation in this case is to the density of
##D # t-t0 and so t0 must be added for the plot.
##D lines(exp.sp,h=function(u,t0) u+t0, J=function(u,t0) 1,
##D       t0=exp.boot$t0)

## Keywords: 'aplot', 'smooth', 'nonparametric'.


