###--- >>> `coxph' <<<----- Fit Proportional Hazards Regression Model

	## alias	 help(coxph)
	## alias	 help(print.coxph.null)
	## alias	 help(print.coxph.penal)
	## alias	 help(model.frame.coxph)
	## alias	 help(coxph.penalty)
	## alias	 help([.coxph.penalty)
	## alias	 help(coxph.getdata)
	## alias	 help(summary.coxph.penal)

##___ Examples ___:

# Create the simplest test data set
#
 test1 <- list(time=  c(4, 3,1,1,2,2,3),
                status=c(1,NA,1,0,1,1,0),
                x=     c(0, 2,1,1,1,0,0),
                sex=   c(0, 0,0,0,1,1,1))
 coxph( Surv(time, status) ~ x + strata(sex), test1)  #stratified model

#
# Create a simple data set for a time-dependent model
#
test2 <- list(start=c(1, 2, 5, 2, 1, 7, 3, 4, 8, 8),
                stop =c(2, 3, 6, 7, 8, 9, 9, 9,14,17),
                event=c(1, 1, 1, 1, 1, 1, 1, 0, 0, 0),
                x    =c(1, 0, 0, 1, 0, 1, 1, 1, 0, 0) )

summary( coxph( Surv(start, stop, event) ~ x, test2))


## Keywords: 'survival'.


